# Retrieve OrgUser Permissions

## cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/users/{id}/permissions \
  --header 'Authorization: Bearer <token>'
```

## Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/users/{id}/permissions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/users/{id}/permissions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

## PHP

```php


```

## Response Structure

### 200
```json
{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "permissionPolicy": [
    {
      "action": [],
      "resource": [
        "<string>"
      ]
    }
  ],
  "managedPolicy": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

### Error Responses

#### 4XX
```json
{
  "message": "<string>"
}
```

#### 5XX
```json
{
  "message": "<string>"
}
```

## Parameters

### Path Parameters
- **orgId** (string, required): The unique identifier (UUID) of your Organization.
- **id** (string, required): The unique identifier (UUID) of the user whose permissions you want to retrieve.

### Query Parameters
- **pageSize** (integer, optional): Specifies the maximum number of Permission Policies per page (1-200).
- **nextToken** (string, optional): Used for fetching the next page of Permission Policies in a paginated list.
